/*
 * Spar - a text frontend for the Spar library
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include <spar/sl_application.h>

extern int init_commands (void);
extern void shell (void);

int
spar_init (void)
{
  /*
   *  Sort the commands table
   */
  init_commands ();
}

int
spar_de_init (void)
{
#ifdef HAVE_READLINE_READLINE_H
#ifdef HAVE_READLINE_HISTORY_H
  extern void free_history (void);
  free_history ();
#endif /* HAVE_READLINE_HISTORY_H */
#endif /* HAVE_READLINE_READLINE_H */

  return SL_SUCCESS;
}

int
spar_main (int argc, char **argv)
{
  /*
   * Spar "shell"
   */
  shell ();

  /* not reached */
  return SL_SUCCESS;
}

sl_application spar = {
  name:"spar",
  version:"0.6.2",
  author:"Davide Angelocola",
  description:"A modular console calculator",
  welcome:"Type 'help' for a list of commands",
  options:SL_APP_DEFAULTS,
  modules_config_file:SL_MODULE_CONFIG_FILE,
  main:spar_main,
  init:spar_init,
  de_init:spar_de_init
};

SL_APPLICATION (spar);
