/*
 * The Spar Library -  A comprehensive math application framework
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *  
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

#include <spar/sl_application.h>

int
vector_main (void)
{
  sl_vector *v1 = sl_vector_new_from (4, 5., 6., 5., 5.23);
  sl_vector *v2 = sl_vector_dup (v1);


  sl_vector_print_p (sl_vector_add_p (v1, v2));

  return SL_SUCCESS;
}

sl_application complex = {
  name:"vector test",
  version:"0.1",
  author:"Davide Angelocola",
  description:"Tests vector library",
  welcome:NULL,
options: SL_APP_GETOPT | SL_APP_PRECISION,
  modules_config_file:"",
  main:(int (*)(int, char **)) vector_main,
  init:NULL,
  de_init:NULL
};

SL_APPLICATION (complex);
