/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#include <spar/sl_conf.h>
#include <spar/sl_io.h>

const int sl_major_version = MAJOR_VERSION;
const int sl_minor_version = MINOR_VERSION;
const int sl_patch_level = PATCH_LEVEL;

void
sl_version (void)
{
  sl_writeln ("sl - a math applications C/C++ framework.");

  if (PATCH_LEVEL > 0)
    {
      sl_writeln ("sl version %d.%d.%d (%s)", MAJOR_VERSION, MINOR_VERSION,
		  PATCH_LEVEL, STATUS);
    }
  else
    {
      sl_writeln ("sl version %d.%d (%s)", MAJOR_VERSION, MINOR_VERSION,
		  STATUS);
    }
}

static const char *__warranty = "\n"
  "\tThe Spar Library - a math applications C/C++ framework\n\n"
  "\tCopyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>\n"
  "\tThis library is free software; you can redistribute it and/or\n"
  "\tmodify it under the terms of the GNU Lesser General Public\n"
  "\tLicense as published by the Free Software Foundation; either\n"
  "\tversion 2.1 of the License.\n"
  "\n"
  "\tThis library is distributed in the hope that it will be useful,\n"
  "\tbut WITHOUT ANY WARRANTY; without even the implied warranty of\n"
  "\tMERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU\n"
  "\tLesser General Public License for more details.\n"
  "\n"
  "\tYou should have received a copy of the GNU Lesser General Public\n"
  "\tLicense along with this library; if not, write to the\n"
  "\tFree Software Foundation, Inc., 59 Temple Place - Suite 330,\n"
  "\tBoston, MA  02111-1307, USA.\n";

void
sl_warranty (void)
{
  sl_writeln ("%s", __warranty);
}

void
sl_info (void)
{
  sl_version ();
  sl_writeln ("builted on a %s machine", HOST);
  sl_writeln ("");
  sl_writeln ("Compiled-in features: %s", " modules"
#ifdef DEBUG
	      " extra debug code"
#endif
#ifdef inline
	      " inline functions"
#endif
	      "");
  sl_writeln ("Functions provided  : %s", " standard"
#ifndef HAVE_ACOSH
	      " acosh"
#endif
#ifndef HAVE_ASINH
	      " asinh"
#endif
#ifndef HAVE_ACOSH
	      " atanh"
#endif
#ifndef HAVE_EXPM1
	      " expm1"
#endif
#ifndef HAVE_LOG1P
	      " log1p"
#endif
#ifndef HAVE_ISINF
	      " isinf"
#endif
#ifndef HAVE_FINITE
	      " finite"
#endif
#ifndef HAVE_ISNAN
	      " isnan"
#endif
#ifndef HAVE_HYPOT
	      " hypot"
#endif
	      "");
}
